<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SearchColumnSelectField StructType
 * @subpackage Structs
 */
class SearchColumnSelectField extends SearchColumnField
{
    /**
     * The searchValue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $searchValue;
    /**
     * Constructor method for SearchColumnSelectField
     * @uses SearchColumnSelectField::setSearchValue()
     * @param \StructType\RecordRef $searchValue
     */
    public function __construct(\StructType\RecordRef $searchValue = null)
    {
        $this
            ->setSearchValue($searchValue);
    }
    /**
     * Get searchValue value
     * @return \StructType\RecordRef|null
     */
    public function getSearchValue()
    {
        return $this->searchValue;
    }
    /**
     * Set searchValue value
     * @param \StructType\RecordRef $searchValue
     * @return \StructType\SearchColumnSelectField
     */
    public function setSearchValue(\StructType\RecordRef $searchValue = null)
    {
        $this->searchValue = $searchValue;
        return $this;
    }
}
